BimpHelp

Expense requests: Bimp API methods

Bimp API methods for the “Expense requests” resource (/org2/expenseRequest/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/expenseRequest/api-readA request to obtain detailed information for a particular money spending plan
POST /org2/expenseRequest/api-readListA request to view a list of money spending plans
POST /org2/expenseRequest/api-createA request to create a money spending plan
POST /org2/expenseRequest/api-updateA request to update or add information to an existing money spending plan
POST /org2/expenseRequest/api-readStatusesA request to retrieve the available statuses for a money spending plan

api-read

POST /org2/expenseRequest/api-read

A request to obtain detailed information for a particular money spending plan

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yes

Response: data field

FieldTypeDescription
uuidstring (uuid)
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentDetailsobject[]
paymentDetails[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].costItemstring (uuid)A unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
paymentDetails[].customerOrderstring (uuid)A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].sumnumberThe sum of the payment details
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
sumnumberThe sum of the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
employeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList
automaticPaymentsPlanningbooleanAdding to payment calendar
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
operationTypenumber | string
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/expenseRequest/api-readList

A request to view a list of money spending plans

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
periodobject[]
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].paymentEntitystring
[].currencystring
[].datestring
[].commentstring
[].counterpartystring
[].numberstring
[].organizationstring
[].responsiblestring
[].statusExpenseRequeststring
[].sumnumber
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/expenseRequest/api-create

A request to create a money spending plan

Request body (JSON)

FieldTypeRequiredDescription
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentDetailsobject[]yes
paymentDetails[].lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].costItemstring (uuid)yesA unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
paymentDetails[].customerOrderstring (uuid)A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].sumnumberThe sum of the payment details
paymentEntitystring (uuid)yesThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
sumnumberyesThe sum of the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
employeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList
automaticPaymentsPlanningbooleanAdding to payment calendar
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
operationTypenumber | string
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request

Response: data field

FieldTypeDescription
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}],"paymentEntity":"00000000-0000-0000-0000-000000000000","sum":1}'

api-update

POST /org2/expenseRequest/api-update

A request to update or add information to an existing money spending plan

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yes
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentDetailsobject[]yes
paymentDetails[].lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].costItemstring (uuid)yesA unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
paymentDetails[].customerOrderstring (uuid)A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].sumnumberThe sum of the payment details
paymentEntitystring (uuid)yesThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
sumnumberyesThe sum of the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
employeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList
automaticPaymentsPlanningbooleanAdding to payment calendar
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
operationTypenumber | string
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request

Response: data field

FieldTypeDescription
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}],"paymentEntity":"00000000-0000-0000-0000-000000000000","sum":1}'

api-readStatuses

POST /org2/expenseRequest/api-readStatuses

A request to retrieve the available statuses for a money spending plan

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
namestringFilter by name

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-readStatuses' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.